Subject: [core] And now for something completely different: draft-bormann-core-media-content-type-format-00

From: Carsten Bormann <[email-masked]>
Date: Mon, 11 Mar 2019 18:36:10 +0100

If you need a break from busily making and reading Internet-Drafts:
I finally could not bear it any longer and wrote it up :-)

> Name:		draft-bormann-core-media-content-type-format
> Title:		On Media-Types, Content-Types, and related terminology
> Status:           https://datatracker.ietf.org/doc/draft-bormann-core-media-content-type-format/
> Htmlized:       https://tools.ietf.org/html/draft-bormann-core-media-content-type-format-00
> 
> Abstract:
>   There is a lot of confusion about media-types, content-types, and
>   related terminology.
> 
>   This memo is an attempt at clearing it up.

Matthias Kovatsch brought this up repeatedly at previous WISHI hackathons; apparently the amount of committee time spent on this confusion was already considerable by then.  I’m sure it happens in other SDOs, too.  Maybe we can get more eyes on this document and actually get it published so we never have to define these terms in new RFCs again.

Grüße, Carsten

---

From: John Mattsson <[email-masked]>
Date: Tue, 12 Mar 2019 15:00:48 +0000

Hi,

I think this is well needed for both beginners and experts in the subject. For non-experts some concrete examples could be good.

I support this draft, and I promise to support all drafts that are promoted with Monty Python quotes :)

Should

Media-Type = type-name "/" subtype

be

Media-Type = type-name "/" subtype-name

or

Media-Type = type "/" subtype

?

Cheers,
John
-----Original Message-----
From: core <[email-masked]> on behalf of Carsten Bormann <[email-masked]>
Date: Monday, 11 March 2019 at 18:37
To: core <[email-masked]>
Subject: [core] And now for something completely different: draft-bormann-core-media-content-type-format-00

Grüße, Carsten

_______________________________________________
core mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/core

---

From: Carsten Bormann <[email-masked]>
Date: Tue, 12 Mar 2019 21:47:59 +0100

Hi John,

> I support this draft, and I promise to support all drafts that are promoted with Monty Python quotes :)

Thank you!

> Media-Type = type "/" subtype

That is one of the many little $64000 questions here.
(I wrote the first line above by mistake, but it is a nice demo of one of the smaller confusions:
For use on the web, do we use the character set that can be registered [RFC6383] or the character set that can be specified in an HTTP header field [RFC7231].)

Because there is little use for a media-type name that cannot be registered, I think it should be

> Media-Type = type-name “/" subtype-name

taking the more limited character set of RFC 6383.  RFC 7231 among others interestingly allows “*” in those names, but that is usually used as a wildcard and not as part of a media type name itself.

Grüße, Carsten

RFC 6838:
reg-name-chars = ALPHA / DIGIT / "!" /
                 "#" / "$" / "&" / "." /
                 “+” / "-" / "^" / "_"

RFC 7230 ➔ 7231:
tchar          = "!" / "#" / "$" / "%" / "&" / "'" / "*"
               / "+" / "-" / "." / "^" / "_" / "`" / "|" / "~"
               / DIGIT / ALPHA

delta:

reg-name-chars\tchar = 

tchar\reg-name-chars = "%" / "'" / "*" / "`" / "|" / "~"

---

From: Ludwig Seitz <[email-masked]>
Date: Wed, 13 Mar 2019 08:58:43 +0100

On 12/03/2019 16:00, John Mattsson wrote:
> Hi,
> 
> I think this is well needed for both beginners and experts in the
> subject. For non-experts some concrete examples could be good.
>

+1 on both points.

> promoted with Monty Python quotes :)

+1 for support, but I make no promises based on MP, humor is a very 
serious matter for us Germans.

/Ludwig

-- 
Ludwig Seitz, PhD
Security Lab, RISE
Phone +46(0)70-349 92 51